package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class StudentInstrumentQueryInfo extends QueryInfo {

    /**
     * 学生id
     */
    @ApiModelProperty(value = "学生id", required = true)
    private Integer studentId;

    @ApiModelProperty(value = "分部ids", required = true)
    private String organId;

    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    private Integer goodsId;

    /**
     * 分类id
     */
    @ApiModelProperty(value = "商品分类id")
    private Integer goodsCategoryId;

    @ApiModelProperty(value = "乐器品牌")
    private String goodsBrand;

    @ApiModelProperty(value = "乐器规格")
    private String specification;

    /**
     * 是否乐保 0-不是 1-是
     */
    @ApiModelProperty(value = "是否乐保 0-不是 1-是")
    private Integer status;

    private String musicGroupId;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getGoodsBrand() {
        return goodsBrand;
    }

    public void setGoodsBrand(String goodsBrand) {
        this.goodsBrand = goodsBrand;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }
}
